main()
{
	precacheFX();
    spawnWorldFX();    
}

precacheFX()
{

	level._effect["tigertankexplosion"] = loadfx ("fx/explosions/explosion1_nolight.efc");

	level._effect["fire"] = loadfx ("fx/fire/tinybon.efx");
	level._effect["fire2"] = loadfx ("fx/fire/distantfire.efx");
	level._effect["fire3"] = loadfx ("fx/fire/extreme_butcool.efx");
	level._effect["fire4"] = loadfx ("fx/fire/fire_streak1.efx");
	level._effect["fire5"] = loadfx ("fx/fire/inferno_small.efx");

	level._effect["smoke"] = loadfx ("fx/smoke/ash_smoke.efx");
	level._effect["smoke2"] = loadfx ("fx/smoke/largethick2.efx");
	level._effect["smoke3"] = loadfx ("fx/smoke/firesmoke_col.efx");
	level._effect["smoke4"] = loadfx ("fx/smoke/largethick.efx");
	level._effect["smoke5"] = loadfx ("fx/smoke/linger_smoke_smaller.efx");

	level._effect["bombers"] = loadfx ("fx/atmosphere/c47flyover2d.efx");

	level._effect["flash"] = loadfx ("fx/atmosphere/longrangeflash_altocloud.efx");
	level._effect["flash2"] = loadfx ("fx/atmosphere/cloudflash1.efx");
	level._effect["aa"] = loadfx ("fx/atmosphere/antiair_tracers2.efx");

	level._effect["flakpanzerexplosion"]	= loadfx("fx/explosions/explosion1_nolight.efx");
}


spawnWorldFX()
{

//basement fires
	maps\mp\_fx::loopfx("fire", (-670, 372, 709), 0.3);
	maps\mp\_fx::loopfx("fire", (116, 190, 709), 0.3);
	maps\mp\_fx::loopfx("fire", (188, 430, 709), 0.3);

//3rd floor carnage
	maps\mp\_fx::loopfx("fire4", (-535, 430, 1015), 0.35);
	maps\mp\_fx::loopfx("fire4", (-535, 212, 1014), 0.4);
	maps\mp\_fx::loopfx("fire3", (-535, 322, 1015), 0.2);
	maps\mp\_fx::loopfx("fire3", (-535, 322, 1105), 0.2);

//stuka
	maps\mp\_fx::loopfx("fire", (157, 348, 1246), 0.4);
	maps\mp\_fx::loopfx("smoke", (157, 348, 1296), 0.4);


//Fire & Smoke throughout the map
	maps\mp\_fx::loopfx("fire", (456, -568, 864), 0.6);
	maps\mp\_fx::loopfx("smoke", (456, -568, 919), 0.7);
	maps\mp\_fx::loopfx("fire", (-414, -1105, 1048), 0.6);
	maps\mp\_fx::loopfx("smoke", (-414, -1105, 1103), 0.6);
//	maps\mp\_fx::loopfx("fire", (2608, -1032, 840), 0.6); // river house
	maps\mp\_fx::loopfx("smoke", (2456, -1032, 1184), 0.6);
	maps\mp\_fx::loopfx("smoke", (6593, -3161, 961), 0.9);  // by the stables

//Fire & Smoke in ruined background building
	maps\mp\_fx::loopfx("smoke2", (1600, 1274, 1100), 0.6);
	maps\mp\_fx::loopfx("fire2", (1472, 1279, 1100), 0.6);
	maps\mp\_fx::loopfx("fire2", (1787, 1270, 1100), 0.5);

// Fire & Smoke next to Stuka building
	maps\mp\_fx::loopfx("smoke2", (512, 248, 950), 0.6);
	maps\mp\_fx::loopfx("fire3", (512, 248, 1000), 0.2);

// Smoke in ruins next to field
	maps\mp\_fx::loopfx("smoke3", (2000, 248, 880), 0.6);
	maps\mp\_fx::loopfx("smoke4", (2320, 400, 880), 0.6);

// Crash Site
	maps\mp\_fx::loopfx("fire", (2184, -2008, 840), 0.2);
	maps\mp\_fx::loopfx("fire5", (2184, -2008, 840), 0.2);
	maps\mp\_fx::loopfx("smoke5", (2181, -2014, 872), 0.4);


// Smoke in embers of sniper building
	maps\mp\_fx::loopfx("smoke5", (-216, -864, 898), 0.5);

// Flashes in Distance (area behind & above stuka building)
	maps\mp\_fx::loopfx("flash", (168, 1064, 1900),10);
	maps\mp\_fx::loopfx("flash", (856, 1704, 1950),18);
	maps\mp\_fx::loopfx("flash", (-1344, 168, 2200),23);
	maps\mp\_fx::loopfx("flash", (1244, 2376, 2000),25);
	maps\mp\_fx::loopfx("flash", (-1120, 624, 2000),13);
	maps\mp\_fx::loopfx("flash", (-1504, -8, 2000),17);

	maps\mp\_fx::loopfx("flash2", (168, 1064, 1900),9.4);
	maps\mp\_fx::loopfx("flash2", (856, 1704, 1950),17.6);
	maps\mp\_fx::loopfx("flash2", (-1344, 168, 2200),22);
	maps\mp\_fx::loopfx("flash2", (1244, 2376, 2000),24.8);
	maps\mp\_fx::loopfx("flash2", (-1120, 624, 2000),12.8);
	maps\mp\_fx::loopfx("flash2", (-1504, -8, 2000),16.8);

	maps\mp\_fx::loopfx("aa", (-480, 192, 2000),3);
	maps\mp\_fx::loopfx("aa", (-480, 192, 2000),3.2);
	maps\mp\_fx::loopfx("aa", (-480, 192, 2000),3.3);
	maps\mp\_fx::loopfx("aa", (-480, 192, 2000),3.6);
	maps\mp\_fx::loopfx("aa", (-480, 192, 2000),3.8);


// Bombers flying overhead
	maps\mp\_fx::OneShotfx("bombers", (456, -4400, 2000),45);
	maps\mp\_fx::OneShotfx("bombers", (556, -4400, 2000),180);
	maps\mp\_fx::OneShotfx("bombers", (656, -4400, 2000),360);
	maps\mp\_fx::OneShotfx("bombers", (456, -4400, 2000),540);
	maps\mp\_fx::OneShotfx("bombers", (556, -4400, 2000),720);
	maps\mp\_fx::OneShotfx("bombers", (456, -4400, 2000),900);
	maps\mp\_fx::OneShotfx("bombers", (656, -4400, 2000),1080);

 }
